#!/bin/sh

export PATH=$PATH:/bin/:/sbin/:/usr/bin/:/usr/sbin/:
cd $(dirname $0)

LOG_FILE=lastRun.log
exec &>$LOG_FILE

API_URL=http://localhost:3000/api/v1

callAPI() {

	module="$1"
	postData="$2"

	echo Calling API $API_URL/$module
	echo POSTDATA: $postData 
	echo

	bash -c "wget --header='Content-type:application/json;charset=utf-8' -O /dev/null --post-data '$postData' $API_URL/$module"
	ret=$?
	
	echo
	return $ret
}

die(){
	sync
	while [ "1" ]; do
		dbus-send --system --print-reply --dest=com.exor.EPAD "/Buzzer" com.exor.EPAD.Buzzer.beep int32:440 int32:100; sleep 2;
	done
	
	exit 1
}

# Restore original file
mkdir /mnt/root || die
mount -o bind / /mnt/root || die
cp /mnt/root/etc/init.d/router /etc/init.d/router || die

sed -i'' 's/\(    echo "Starting.*\)/\1\n\
    iptables -t nat -A POSTROUTING -o eth1 -j MASQUERADE\
    iptables -A PREROUTING -t nat -i eth0 -p tcp --dport 2222 -j DNAT --to 10.10.10.11:5900/' /etc/init.d/router || die

# The USB stick can be plugged before power on. 
# Wait for JMUconfig to start
while [ ! -e "/var/run/jmuconfig.pid" ]; do
	sleep 3
done

# Enable Router Service
callAPI services "{\"status\": [{\"id\": \"router\", \"name\": \"Router Service\", \"running\": true}]}" || die

sync

dbus-send --system --print-reply --dest=com.exor.EPAD "/Buzzer" com.exor.EPAD.Buzzer.beep int32:440 int32:100; sleep 1;
dbus-send --system --print-reply --dest=com.exor.EPAD "/Buzzer" com.exor.EPAD.Buzzer.beep int32:440 int32:100; sleep 1;
dbus-send --system --print-reply --dest=com.exor.EPAD "/Buzzer" com.exor.EPAD.Buzzer.beep int32:440 int32:100; sleep 1;

# Wait until USB stick is unplugged
while [ -d "$( pwd )" ]; do
	sleep 5
done
reboot -f
